EMV Upgrade Guide For Your ATMs

Which ATM Machine Can Be EMV Upgraded?

Because the Mastercard liability deadline (Oct 2016) is quickly coming up, many ATM deployers are scrambling to upgrade their ATM fleet to be EMV compliant. We’ve been hearing many questions about which particular ATMs can be upgraded and we took the liberty to compile a simple and straightforward table to help answer these questions. Simply find your ATM’s manufacturer, click on the model number and see if your ATM can be upgraded to be EMV compliant.

If you’ve purchased a new ATM Machine from NationalLink or ATMTrader in 2016, it is already EMV ready. All software updates will require an SD card or USB drive with the required software file.

GENMEGA

genmega gt3000 emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: V05.00.12.

genmega gt5000 emv upgrade availableEMV upgrade kit available! Please call us at (855)286-2286 for more information. Minimum software needed: V05.00.12.

genmega g1900 emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: V05.00.19

genmega g1900 emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: V05.00.19

genmega onyx emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: V05.00.12

genmega C6000 no emv upgrade kit availableNo EMV upgrade kit available. Please call us at (855)286-2286 for more information.

NAUTILUS HYOSUNG

nautilus hyosung 5000se emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: Win5.0 – APV01.04.14. Win6.0 – APV06.01.05.

nautilus hyosung 5000ce emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: Win5.0 – APV01.04.14. Win6.0 – APV06.01.05.

nautilus hyosung 1500 emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: V00.03.07. Version 4 Keypad needed. A printer firmware flash is also required.

nautilus hyosung 1800ce emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: Win5.0 – APV01.04.14. Win6.0 – APV06.01.05.

nautilus hyosung 1800se emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: Win5.0 – APV01.04.14. Win6.0 – APV06.01.05.

nautilus hyosung 2700ce emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: Win5.0 – APV01.04.14. Win6.0 – APV06.01.05.

nautilus hyosung 2700t emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: Win5.0 – APV01.04.14. Win6.0 – APV06.01.05.

nautilus hyosung halo emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: Win5.0 – APV01.04.14. Win6.0 – APV06.01.05.

nautilus hyosung halo s emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: V06.01.13.

hyosung halo 2 emv kit availableEMV upgrade kit available! Click here for the kit. Minimum software needed: V06.01.13.

nautilus hyosung 4000w emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software needed: Win5.0 – APV01.04.14. Win6.0 – APV06.01.05.

nautilus hyosung 5300xp emv upgrade availableEMV upgrade kit available! Click here for the kit.

nautilus hyosung 5300ce emv upgrade availableEMV upgrade kit available! Please call us at (855)286-2286 for more information. Minimum software needed: Win5.0 – APV01.04.14. Win6.0 – APV06.01.05.

hyosung mb 1000 no emv upgrade kit available.No EMV upgrade kit Available. Replace with New ATM.

hyosung 1800 standard no emv upgrade kit available.No EMV upgrade kit Available. Replace with New ATM.

TRITON

triton 9100 EMV upgrade available!EMV upgrade kit available! Click here for the kit. Minimum software version needed: version 7.3

triton 9700 emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software version needed: version 7.3

triton 8100 emv upgrade availableEMV upgrade kit available! Click here for the kit.

triton argo emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software version needed: 7″ and 12.1″ LCD – version 3.3. or higher on X2 (*.tfv) mainboard.

triton rl1600 emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software version needed: version 3.2 or higher on X2 (*.tfv) mainboard.

triton rl2000 emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software version needed: version 3.2 or higher on X2 (*.tfv) mainboard.

triton rl5000 emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software version needed: version 3.2 or higher on Xscale (*.tlf) mainboard.

triton traverse emv upgrade kit availableEMV upgrade kit available! Call us at (855)286-2286 for more information. Minimum software version needed: version 3.2 or higher on X2 (*.tfv) mainboard.

HANTLE

hantle t4000_front emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum version needed: V05.00.12.

hantle c4000_front emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software version needed: V05.00.19 

Hantle-1700W emv upgrade availableEMV upgrade kit available! Click here for the kit. Minimum software version needed: V05.00.19 

No EMV upgrade kit available. Replace with new ATM.

hantle e4000 no emv upgrade kit availableNo EMV upgrade kit available. Replace with new ATM.

We are here to help!

Need an ATM or some service? We'll reply within 1 business day.

Your Name (required)

Your Email (required)

Your Phone (required)

Who do you want to reach? (required)

How did you hear about us? (required)

Subject/Topic Line (required)

Your Message (required)